<?php

function image_overlay_drawing_shape(&$im, $shape) {
  $function_name = 'image_overlay_drawing_'. strtolower($shape->Type);
  
  $color = NULL;
  if ($shape->Properties->color) {
    $color = image_overlay_drawing_parse_color($im, $shape->Properties->color);
    $function_name($im, $shape->Properties, $color);
  }
  else {
    $function_name($im, $shape->Properties);
  }
  return;
}


function image_overlay_drawing_triangle(&$im, $json, $color) {
  $tri = image_overlay_drawing_split_points($json->polygon, 3, $string);
  imagesetthickness($im, 1);
  imagefilledpolygon($im, $tri, 3, $color);  
}


function image_overlay_drawing_rectangle(&$im, $json, $color) {
  $rect = $json->rectangle;
  imagesetthickness($im, 1);
  imagefilledrectangle($im, $rect[0][0], $rect[0][1], $rect[1][0], $rect[1][1], $color);
}



/**
 * image_overlay_drawing_draw_arrow
 */
function image_overlay_drawing_arrow(&$im, $json) {
  $color = image_overlay_drawing_parse_color($im, $json->Rectangle->color);

  image_overlay_drawing_rectangle($im, $json->Rectangle, $color);
  image_overlay_drawing_triangle($im, $json->Triangle, $color);
}








